Name: gpgme
Version: 0.3.15
Release: alt1
#define cvsdate 20020829

%define min_gnupg_version 1.2.0

Summary: GnuPG Made Easy!
License: GPL
Group: System/Libraries
URL: http://www.gnupg.org/related_software/gpgme/index.html

%ifdef cvsdate
Source: %name-%cvsdate.tar.bz2
%else
Source: ftp://ftp.gnupg.org/gcrypt/%name/%name-%version.tar.bz2
%endif

Patch1: %name-0.3.9-alt-aclocal.patch

Requires: gnupg >= %min_gnupg_version
BuildPreReq: gnupg >= %min_gnupg_version

%ifdef cvsdate
BuildPreReq: autoconf_2.5 >= 2.57
BuildPreReq: automake_1.7
%endif

# Automatically added by buildreq on Thu May 29 2003
BuildRequires: gnupg libgcrypt libksba libpth-devel newpg

%package -n lib%name
Summary: GnuPG Made Easy!
Group: System/Libraries
Requires: gnupg >= %min_gnupg_version

%package -n lib%name-devel
Summary: Include files for development with GPGME
Group: System/Libraries
Requires: lib%name = %version-%release

%package -n lib%name-devel-static
Summary: Static libraries for development with GPGME
Group: System/Libraries
Requires: lib%name-devel = %version-%release

%description
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier
for applications. It provides a High-Level Crypto API for encryption,
decryption, signing, signature verification and key management.

%description -n lib%name
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier
for applications. It provides a High-Level Crypto API for encryption,
decryption, signing, signature verification and key management.

%description -n lib%name-devel
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier
for applications. It provides a High-Level Crypto API for encryption,
decryption, signing, signature verification and key management.

This package contains include files required for development of GPGME-based
applications.

%description -n lib%name-devel-static
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier
for applications. It provides a High-Level Crypto API for encryption,
decryption, signing, signature verification and key management.

This package contains static libraries required for development of GPGME-based
statically linked applications.

%prep
%setup -q %{?cvsdate: -n %name }
%patch1 -p1

%build

%ifdef cvsdate
aclocal-1.7
autoheader_2.5
automake-1.7 --gnu --add-missing --copy
autoconf_2.5
%endif

# --enable-maintainer-mode is required to generate the info file
# when building from CVS snapshot
%configure \
    %{?cvsdate: --enable-maintainer-mode } \
    --with-gpg=/usr/bin/gpg \
    --with-gpgsm=/usr/bin/gpgsm

%make_build
make check

%install
%makeinstall

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%post -n lib%name-devel
%install_info %name.info

%preun -n lib%name-devel
%uninstall_info %name.info

%files -n lib%name
%_libdir/*.so.*
%doc AUTHORS NEWS README README-alpha THANKS TODO

%files -n lib%name-devel
%_bindir/*
%_includedir/*.h
%_libdir/*.so
%_libdir/*.la
%_datadir/aclocal/*.m4
%_infodir/%name.info*

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
* Thu May 29 2003 Sergey Vlasov <vsu@altlinux.ru> 0.3.15-alt1
- 0.3.15 release.
- Build with libpth support (does not introduce new dependencies for the
  binary package - thread library is detected using weak symbols).
- Build with gpgsm support (but the dependency to newpg is not added -
  the application/library package which links to libgpgme and uses the
  gpgsm features must have this dependency).

* Fri Feb 07 2003 Sergey Vlasov <vsu@altlinux.ru> 0.3.14-alt2
- Updated URL (#1656) and source location.
- Removed patch to set minimum required GnuPG version to 1.0.7.
  Now GnuPG >= 1.2.0 is required.

* Fri Feb 07 2003 Sergey V Turchin <zerg@altlinux.ru> 0.3.14-alt1
- new version

* Sun Oct 27 2002 Sergey Vlasov <vsu@altlinux.ru> 0.3.12-alt1
- 0.3.12 release.
- Patch to set minimum required GnuPG version to 1.0.7
  (I don't see any changes which would require GnuPG 1.2.0).
- Added "make check" to make sure the library really works.

* Thu Aug 29 2002 Sergey Vlasov <vsu@altlinux.ru> 0.3.10-alt0.1
- Version from CVS 20020829 (bug with child process handling was fixed).
- Removed gnupg requires from *-devel.
- More specfile cleanup.
- Patch to backport gpgme.m4 to old autoconf (removed AC_HELP_STRING).

* Mon Sep 17 2001 Sergey Vlasov <vsu@altlinux.ru> 0.2.3-alt1
- 0.2.3

* Tue Apr 10 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.2.1-alt1
- 0.2.1
- Moved static libraries to devel-static subpackage.
- Specfile cleanup.

* Mon Feb 19 2001 AEN <aen@logic.ru>
- first build for Sisyphus
